Scheduler Zero
REST APIAPI referenceCampaigns

Create a campaign

Requires the `campaign:create` permission.

POST
/campaigns

Requires the campaign:create permission.

Authorization

ApiKeyAuth
x-api-key<token>

API key created under Settings → API Keys. Scoped to a single workspace.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/campaigns" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "status": "draft",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}